Subject: Fwd: Re: via-rhine -- VT6105M and checksum offloading

From: Jan Ceuleers <[email-masked]>
Date: Fri, 25 Feb 2011 20:50:26 +0100

Not a diff, but let's see where it leads

-------- Original Message --------
Subject: Re: via-rhine -- VT6105M and checksum offloading
Date: Fri, 25 Feb 2011 20:32:12 +0100
From: Roger Luethi <[email-masked]>
To: Jan Ceuleers <[email-masked]>

On Fri, 25 Feb 2011 19:35:28 +0100, Jan Ceuleers wrote:
> Can you post that, preferably rebased to net-next? Even if Benjamin
> doesn't get 'round to implementing all of the improvements Dave proposes
> perhaps Dave will be clement enough to apply it as-is if it proves to be
> a net positive?

I should really take another look at the driver and check what I missed wrt
NETIF_F_GRO. But here's what I have -- it applies cleanly against net-next
(driver not tested with current net-next, though).

Roger